# Bulk update family attributes

Updates multiple family attributes in a single operation.

Endpoint: PATCH /v1/families/{familyUuid}/attributes/bulk
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `familyUuid` (string, required)
    The unique identifier of the family.

## Request fields (application/json):

  - `uuid` (string, required)
    Identifier of the family-attribute association to update.

  - `requirementLevel` (integer,null, required)

  - `isAutoPopulated` (boolean,null)
    Updated auto-population setting for this attribute.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this family-attribute association.

  - `familyUuid` (string, required)
    Identifier of the family this attribute is associated with.

  - `attributeUuid` (string, required)
    Identifier of the attribute associated with this family.

  - `createdAt` (string, required)
    Timestamp when this association was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this association was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `requirementLevel` (string, required)
    Requirement level for an association within a product family.
    Enum: "may", "must", "should"

  - `isAutoPopulated` (boolean, required)
    Whether products created in this family automatically receive this attribute with a default value.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


